.\" 
.\" THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
.\" ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
.\" TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
.\" PARTICULAR PURPOSE.
.\" 
.\" Copyright (C) 1999  Microsoft Corporation.  All rights reserved.
.\" 
.TH LOCATOR 1m \*h
.SH NAME
locator \- locate LDAP directory server via DNS SRV Records
.SH SYNOPSIS
.B locator
[-S service] [-P protocol] [-fn] \fIdomain\fP
.PP
.SH DESCRIPTION
.PP
locator will return the servers registered for the LDAP tcp service in the
specified domain. The default protocol name is "_tcp". The default
service name is "_ldap". The name(s) of registered LDAP directory services
will be printed to stdout.
When invoked without the \fI\-n\fP option,  the  locator command
will print the IP address of the servers instead of the name.

.SH OPTIONS
.TP
\fB\-n\fP
Print the IP address (in dotted format) instead of the server names.
.TP
\fB\-S\fP \fIservice\fP
Specifies the service name to lookup in the DNS. Service names are
prepended with a "_". For example to lookup Kerberos the service name
would be "_kerberos".
.TP
\fB\-P\fP \fIprotocol\fP
Specifies the protocol name that the service is registered with. The default
is "_tcp". Valid protocol names are "_tcp" and "_udp". For example to lookup
Kerberos the protocol name would be "_udp".
.TP
\fB\-f\fP
Print out the full information from the SRV records. This includes the
port number, weighting and priority.

.SH RETURN VALUES
Locator will return 0 on sucess and non-zero on an error.
