#!/bin/sh
# Generated automatically from sync.sh.in by configure.

# Autoconfig variables
prefix=/usr/local
WINUPDATEDIR=${prefix}/var/winupdate
KDESTROY=/usr/local/bin/kdestroy
KINIT=/usr/local/bin/kinit
KADMIN=/usr/local/sbin/kadmin.local


KEYTAB="$WINUPDATEDIR/winupdate.keytab"

if test ! -d $(WINUPDATEDIR); then
    echo "Winupdate not correctly installed"
    exit 1
fi
cd $(WINUPDATEDIR)

if test ! -f lastdump; then
    echo "" > lastdump
fi

$(KINIT) -kt $(KEYTAB) winupdate
$(KADMIN) -q "listprincs" | sort > newdump
diff -uw lastdump newdump > dumpdiff

$(WINUPDATEDIR)/winupdate.pl dumpdiff

#check for errors
if [ $? -eq 0 ]; then
	echo "Sync Successful."
	cp newdump lastdump
else 
	echo "Sync FAILED."
fi

$(KDESTROY)
