#!/usr/local/bin/perl
# Generated automatically from winupdate.pl.in by configure.

###########################################
#
# THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
# ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
# TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
# PARTICULAR PURPOSE.
#
# Copyright (C) 1999  Microsoft Corporation.  All rights reserved.
#
# Module Name:
#
#    winupdate.pl
#
#Abstract:
#
#    Sample program that demonstrates how to parse a sorted
#    diffed dump of principals and call the secure update package.
#
###########################################


######### Parameters
$WinDomain = '';
$ThisRealm = 'UNI-MAINZ.DE';


######### Auto config
$AddUserPath = '/usr/local/sbin/adduser';
$LogFile = '/usr/local/var/winupdate/logfile';


######### Number of errors
$errors = 0;

while(<>) {  #process every line in file
  chop;

  #continue if slashes - e.g. "krbtgt/" or "host/"
  next if(/\//);

  #process additions
  if (/^\+[^\+]./) { #not more than 1 leading +
	  ($user, $realm) = /\+(.+)@(.+)/;
	  $addprinc = $user . '@' . $WinDomain;
	  $altSecId = 'AltSecurityIdentities=Kerberos:'. $user . '@' . $ThisRealm;

	  &logprint("winupdate: ADD:    \t", $addprinc, ' ', $altSecId);

	  #---call adduser -I(nvalidateAccount)
	  $addcall = $AddUserPath . ' -vI -a '. $altSecId . ' ' .
	      $addprinc .  ' >> ' . $LogFile;

	  $status = system $addcall;

	  #---check for errors
	  $status /= 256;
	  if($status == 1) { 
	      &logprint("winupdate: Adduser Error."); 
	      $errors++;
	  }
	  elsif ($status != 0) { 
	      &logprint ("winupdate: Adduser Call Failed.");  
	      $errors++;
	  }
	  else  { &logprint ("winupdate: Update Successful."); }
   }

   #process deletions
   if (/^\-[^\-]./) { #not more than 1 leading -
	  ($user, $realm) = /\-(.+)@(.+)/;
	  $delprinc = $user . '@' . $WinDomain;	  
	  &logprint ("winupdate: DELETE:  \t", $delprinc);

	  #---call adduser -x
	  $delcall = $AddUserPath . ' -vx ' . $delprinc.  ' >> ' . $LogFile;
	  $status = system $delcall;

	  #---check for errors
	  $status /= 256;
	  if($status == 1) { 
	      &logprint("winupdate: Account Not Found."); 
	      #no error - account is gone
	  }
	  elsif ($status != 0) { 
	      &logprint("winupdate: Adduser -x Call Failed.");  
	      $errors++;
	  }
	  else  { &logprint ("winupdate: Update Successful."); }
   }
}

#return error if necessary
die "WinUpdate Error.\n" unless ($errors==0);

sub logprint {
    @cmdList = ("echo ", @_, " >> ", $LogFile);
    $cmdString = join($", @cmdList);
    system $cmdString;
}





